#=
model;

param n;

var x{1..n} >= -n, <= n;

minimize fun: sum{k in 1..n}(sum{j in 1..n}(j^k+0.5)*((x[j]/j)^k-1))^2;

data;

#param n := 2;
param n := 5;
#param n := 10;
#param n := 20;

=#

function perm1(x::Array)
	n = length(x)

	f = 0
	for k = 1:n
		a = 0
		for j = 1:n
			a = a + (j^k+0.5)*((x[j]/j)^k-1)
		end
		f = f + a^2
	end
	return f
end
